package handlers

import (
	"errors"
	"github.com/gofiber/fiber/v2"
	"lmika.dev/lmika/hugo-cms/models"
)

func GetUser(c *fiber.Ctx) models.User {
	u, ok := c.Locals("user").(models.User)
	if !ok {
		panic(errors.New("user not found in context"))
	}
	return u
}

func GetSite(c *fiber.Ctx) models.Site {
	s, ok := c.Locals("site").(models.Site)
	if !ok {
		panic(errors.New("no site in context"))
	}
	return s
}
